apeman-react-dialog
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-react-labo/apeman-react-dialog
[bd_travis_url]: http://travis-ci.org/apeman-react-labo/apeman-react-dialog
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-react-labo/apeman-react-dialog.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-react-labo/apeman-react-dialog
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-react-labo/apeman-react-dialog.svg?token=
[bd_license_url]: https://github.com/apeman-react-labo/apeman-react-dialog/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-react-labo/apeman-react-dialog
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-react-labo/apeman-react-dialog.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-react-labo/apeman-react-dialog.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-react-labo/apeman-react-dialog
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-react-labo/apeman-react-dialog.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman-react-dialog
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman-react-dialog.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

apeman react package for dialog component.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install apeman-react-dialog --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Demo.md.hbs" Start -->

<a name="section-doc-guides-02-demo-md"></a>

Demo
-----

[Live demo][demo_url] is hosted on GitHub Pages.

<!--
[![Demo Image](./doc/images/screenshot.png)][demo_url]
-->

[demo_url]: http://apeman-react-labo.github.io/apeman-react-dialog/demo/demo.html


<!-- Section from "doc/guides/02.Demo.md.hbs" End -->

<!-- Section from "doc/guides/03.Usage.md.hbs" Start -->

<a name="section-doc-guides-03-usage-md"></a>

Usage
---------

```jsx
'use strict'

import React from 'react'
import {
  ApDialog,
  ApDialogHeader,
  ApDialogBody,
  ApDialogStyle
} from 'apeman-react-dialog'

const ExampleComponent = React.createClass({
  getInitialState () {
    return {
      dialogEnabled: true
    }
  },
  render () {
    const s = this
    let state = s.state
    return (
      <div>
        <ApDialogStyle />
        <ApDialog enabled={state.dialogEnabled}
                  onClose={() =>{s.toggleDialog(false)} }>
          <ApDialogHeader>Dialog Header</ApDialogHeader>
          <ApDialogBody>Dialog Body</ApDialogBody>
        </ApDialog>
      </div>
    )
  },
  toggleDialog (enabled) {
    const s = this
    s.setState({
      dialogEnabled: enabled
    })
  }
})

```



<!-- Section from "doc/guides/03.Usage.md.hbs" End -->

<!-- Section from "doc/guides/04.Components.md.hbs" Start -->

<a name="section-doc-guides-04-components-md"></a>

Components
-----


### ApConfirmDialogStyle

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| style | object | {} | |  |
| buttonHeight | number | 32 | |  |
| highlightColor | string | ApStyle.DEFAULT_HIGHLIGHT_COLOR | |  |
| errorColor |  | ApStyle.ERROR_COLOR | |  |

### ApConfirmDialog

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| present | bool |  | |  |
| onSubmit | func | null | | Handler for submit event |
| onCancel | func | null | | Handler for cancel event |
| title | string |  | | Dialog title |
| message | string | &#x27;Once destroyed, there is no going back. Please be certain.&#x27; | | Dialog message |
| checkboxId | string | &#x60;ap-confirm-dialog-checkbox-${id}&#x60; | | Id of checkbox |
| checkboxName | string | &#x60;ap-confirm-check-${id}&#x60; | | Name of checkbox |
| checkboxText | string | null | | Label text of checkbox |
| errorText | string | &#x27;Needs check before submit.&#x27; | | Errot text when not checked |
| submitText | string | &#x27;submit&#x27; | | Submit button text |

### ApDialogBody

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |

### ApDialogHeader

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |

### ApDialogStyle

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| style | object | {} | |  |
| headerHeight | number | 44 | |  |

### ApDialog

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| present | bool | false | |  |
| onClose | func | null | |  |
| spinning | bool | false | |  |
| spinner | string | ApSpinner.DEFAULT_THEME | |  |
| title | string | null | |  |
| closeIcon | string | &#x27;fa fa-close&#x27; | |  |

### ApYesnoDialogStyle

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| style | object | {} | |  |
| buttonHeight | number | 40 | |  |
| highlightColor | string | &#x27;#38E&#x27; | |  |

### ApYesnoDialog

**Props**

| Name | Type | Default | Description |
| ---- | ---- | ------- | ----------- |
| present | bool | false | |  |
| onYes | func | null | | Handler for tapping YES |
| onNo | func | null | | Handler for tapping NO |
| title | string | null | | Dialog title |
| yesText | string | &#x27;Yes&#x27; | | Text of YES button |
| noText | string | &#x27;No&#x27; | | Text of NO button |


<!-- Section from "doc/guides/04.Components.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-react-labo/apeman-react-dialog/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman][apeman_url]
+ [apeman-react-labo][apeman_react_labo_url]
+ [React][react_url]

[apeman_url]: https://github.com/apeman-labo/apeman
[apeman_react_labo_url]: https://github.com/apeman-react-labo
[react_url]: https://facebook.github.io/react/

<!-- Links End -->
