/**
 * Style for ApConfirmDialog.
 * @class ApConfirmDialogStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApConfirmDialogStyle */
var ApConfirmDialogStyle = _react2.default.createClass({
  displayName: 'ApConfirmDialogStyle',

  propTypes: {
    style: _react.PropTypes.object,
    buttonHeight: _react.PropTypes.number,
    highlightColor: _react.PropTypes.string
  },
  getDefaultProps: function getDefaultProps() {
    return {
      style: {},
      buttonHeight: 32,
      highlightColor: _apemanReactStyle.ApStyle.DEFAULT_HIGHLIGHT_COLOR,
      errorColor: _apemanReactStyle.ApStyle.ERROR_COLOR
    };
  },

  statics: {
    styleData: function styleData(config) {
      var buttonHeight = config.buttonHeight;
      var highlightColor = config.highlightColor;
      var errorColor = config.errorColor;

      var checkboxHeight = 32;
      return {
        all: {
          '.ap-confirm-dialog .ap-dialog-body': {
            paddingBottom: buttonHeight + 8 + 'px',
            textAlign: 'center'
          },
          '.ap-confirm-dialog .ap-dialog-close-button-icon': {},
          '.ap-confirm-dialog-control': {
            display: 'block',
            textAlign: 'center',
            position: 'relative',
            left: 0,
            right: 0,
            bottom: 0,
            backgroundColor: 'rgba(255,255,255,0.9)',
            padding: '16px 0'
          },
          '.ap-confirm-dialog-button': {
            display: 'inline-block',
            width: '80%',
            textAlign: 'center',
            border: '1px solid #EEE',
            margin: '0 auto',
            background: '' + highlightColor,
            color: 'white',
            boxSizing: 'border-box',
            maxWidth: '320px'
          },
          '.ap-confirm-dialog-button-disabled, .ap-confirm-dialog-button-disabled:hover, .ap-confirm-dialog-button-disabled:active': {
            cursor: 'default',
            boxShadow: 'none',
            color: '#888',
            borderColor: '#888',
            backgroundColor: '#F0F0F0'
          },
          '.ap-confirm-dialog-checkbox': {
            margin: '8px auto',
            lineHeight: checkboxHeight + 'px',
            textAlign: 'left'
          },
          '.ap-confirm-dialog-checkbox i:before': {
            lineHeight: checkboxHeight + 'px'
          },
          '.ap-confirm-dialog-message': {
            fontSize: 'smaller',
            padding: '16px 0'
          },
          '.ap-confirm-dialog-err': {
            fontSize: 'smaller',
            textAlign: 'center',
            color: '' + errorColor,
            fontStyle: 'italic'
          }
        },
        small: {},
        medium: {},
        large: {}
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApConfirmDialogStyle = ApConfirmDialogStyle.styleData(props);

    var all = _ApConfirmDialogStyle.all;
    var small = _ApConfirmDialogStyle.small;
    var medium = _ApConfirmDialogStyle.medium;
    var large = _ApConfirmDialogStyle.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApConfirmDialogStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==