/**
 * Yes/No dialog.
 * @class ApYesnoDialog
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _apemanReactTouchable = require('apeman-react-touchable');

var _ap_dialog = require('./ap_dialog');

var _ap_dialog2 = _interopRequireDefault(_ap_dialog);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApYesnoDialog */
var ApYesnoDialog = _react2.default.createClass({
  displayName: 'ApYesnoDialog',


  // --------------------
  // Specs
  // --------------------

  propTypes: {
    present: _react.PropTypes.bool.isRequired,
    /** Handler for tapping YES */
    onYes: _react.PropTypes.func,
    /** Handler for tapping NO */
    onNo: _react.PropTypes.func,
    /** Dialog title */
    title: _react.PropTypes.string,
    /** Text of YES button */
    yesText: _react.PropTypes.string,
    /** Text of NO button */
    noText: _react.PropTypes.string
  },

  mixins: [],

  statics: {},

  getInitialState: function getInitialState() {
    return {};
  },
  getDefaultProps: function getDefaultProps() {
    return {
      present: false,
      onYes: null,
      onNo: null,
      title: null,
      yesText: 'Yes',
      noText: 'No'
    };
  },
  render: function render() {
    var s = this;
    var props = s.props;

    if (!props.present) {
      return null;
    }
    return _react2.default.createElement(
      _ap_dialog2.default,
      _extends({ className: (0, _classnames2.default)('ap-yesno-dialog', props.className),
        style: Object.assign({}, props.style)
      }, props),
      _react2.default.createElement(
        'div',
        null,
        props.children
      ),
      _react2.default.createElement(
        'div',
        { className: 'ap-yesno-dialog-control' },
        s._renderYesnoButton(props.noText, s.handleNo),
        s._renderYesnoButton(props.yesText, s.handleYes)
      )
    );
  },


  // ------------------
  // Helper
  // ------------------

  handleYes: function handleYes(e) {
    var s = this;
    var props = s.props;

    if (props.onYes) {
      props.onYes(e);
    }
  },
  handleNo: function handleNo(e) {
    var s = this;
    var props = s.props;

    if (props.onNo) {
      props.onNo(e);
    }
  },


  // ------------------
  // Private
  // ------------------
  _renderYesnoButton: function _renderYesnoButton(text, callback) {
    var s = this;
    return _react2.default.createElement(
      'a',
      { className: 'ap-yesno-dialog-button' },
      _react2.default.createElement(
        _apemanReactTouchable.ApTouchable,
        { onTap: callback },
        _react2.default.createElement(
          'span',
          { className: 'ap-yesno-dialog-button-text' },
          text
        )
      )
    );
  }
});

exports.default = ApYesnoDialog;
//# sourceMappingURL=data:application/json;base64,bnVsbA==