/**
 * Style for ApYesnoDialog.
 * @class ApYesnoDialogStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApYesnoDialogStyle */
var ApYesnoDialogStyle = _react2.default.createClass({
  displayName: 'ApYesnoDialogStyle',

  propTypes: {
    style: _react.PropTypes.object,
    buttonHeight: _react.PropTypes.number,
    highlightColor: _react.PropTypes.string
  },
  getDefaultProps: function getDefaultProps() {
    return {

      style: {},
      buttonHeight: 40,
      highlightColor: '#38E'
    };
  },

  statics: {
    styleData: function styleData(config) {
      var buttonHeight = config.buttonHeight;
      var highlightColor = config.highlightColor;

      return {
        all: {
          '.ap-yesno-dialog .ap-dialog-body': {
            paddingBottom: buttonHeight + 8 + 'px'
          },
          '.ap-yesno-dialog .ap-dialog-close-button-icon': {
            display: 'none'
          },
          '.ap-yesno-dialog-control': {
            display: 'flex',
            position: 'absolute',
            left: 0,
            right: 0,
            bottom: 0,
            boxSizing: 'border-box',
            overflowX: 'hidden',
            backgroundColor: 'rgba(255,255,255,0.9)'
          },
          '.ap-yesno-dialog-button': {
            display: 'block',
            flex: 1,
            width: '50%',
            textAlign: 'center',
            border: '1px solid #EEE',
            margin: '0 -1px',
            color: '' + highlightColor
          },
          '.ap-yesno-dialog-button-text': {
            display: 'inline-block',
            width: '100%',
            boxSizing: 'border-box',
            lineHeight: buttonHeight + 'px'
          },
          '.ap-yesno-dialog-button:hover': {
            cursor: 'pointer',
            opacity: 0.9
          },
          '.ap-yesno-dialog-button:active': {
            opacity: 0.6
          }
        },
        small: {},
        medium: {},
        large: {}
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApYesnoDialogStyle$s = ApYesnoDialogStyle.styleData(props);

    var all = _ApYesnoDialogStyle$s.all;
    var small = _ApYesnoDialogStyle$s.small;
    var medium = _ApYesnoDialogStyle$s.medium;
    var large = _ApYesnoDialogStyle$s.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApYesnoDialogStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==