/**
 * Style for ApYesnoDialog.
 * @class ApYesnoDialogStyle
 */

'use strict'

import React, {PropTypes as types} from 'react'
import {ApStyle} from 'apeman-react-style'

/** @lends ApYesnoDialogStyle */
const ApYesnoDialogStyle = React.createClass({
  propTypes: {
    style: types.object,
    buttonHeight: types.number,
    highlightColor: types.string
  },
  getDefaultProps () {
    return {

      style: {},
      buttonHeight: 40,
      highlightColor: '#38E'
    }
  },
  statics: {
    styleData (config) {
      let {
        buttonHeight,
        highlightColor
      } = config
      return {
        all: {
          '.ap-yesno-dialog .ap-dialog-body': {
            paddingBottom: `${buttonHeight + 8}px`
          },
          '.ap-yesno-dialog .ap-dialog-close-button-icon': {
            display: 'none'
          },
          '.ap-yesno-dialog-control': {
            display: 'flex',
            position: 'absolute',
            left: 0,
            right: 0,
            bottom: 0,
            boxSizing: 'border-box',
            overflowX: 'hidden',
            backgroundColor: 'rgba(255,255,255,0.9)'
          },
          '.ap-yesno-dialog-button': {
            display: 'block',
            flex: 1,
            width: '50%',
            textAlign: 'center',
            border: '1px solid #EEE',
            margin: '0 -1px',
            color: `${highlightColor}`
          },
          '.ap-yesno-dialog-button-text': {
            display: 'inline-block',
            width: '100%',
            boxSizing: 'border-box',
            lineHeight: `${buttonHeight}px`
          },
          '.ap-yesno-dialog-button:hover': {
            cursor: 'pointer',
            opacity: 0.9
          },
          '.ap-yesno-dialog-button:active': {
            opacity: 0.6
          }
        },
        small: {},
        medium: {},
        large: {}
      }
    }
  },
  render () {
    const s = this
    let { props } = s

    let { all, small, medium, large } = ApYesnoDialogStyle.styleData(props)

    return (
      <ApStyle data={ Object.assign(all, props.style) }
               smallMediaData={ small }
               mediumMediaData={ medium }
               largeMediaData={ large }
      >{ props.children }</ApStyle>
    )
  }
})

export default ApYesnoDialogStyle
